%define		commit		27817e835fe115ebbda5410ec904aa49a2ad01f1
# bash: %%(c=%{commit}; echo ${c:0:7})
%define		shortcommit	27817e8
%define		cdate		20130702
%define		rel		20
Summary:	An open source Linux client for Google Drive
Summary(pl.UTF-8):	Linuksowy, mające otwarte źródła klient Google Drive
Name:		grive
Version:	0.3.0
Release:	0.%{cdate}git%{shortcommit}.%{rel}
License:	GPL v2
Group:		Applications/Networking
Source0:	https://github.com/Grive/grive/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Source0-md5:	4f3c3411588f889801bd5b9297e6e2c9
# https://github.com/Grive/grive/issues/187
Patch0:		json-c.patch
Patch1:		%{name}-bgrive_cmake_fix.patch
Patch2:		build.patch
URL:		http://www.lbreda.com/grive/
BuildRequires:	QtCore-devel
BuildRequires:	binutils-devel
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	json-c-devel >= 0.11
BuildRequires:	libgcrypt-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	yajl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this project is to provide an independent
implementation of Google Drive client. It uses the Google Document
List API to talk to the servers in Google.

%description -l pl.UTF-8
Celem tego projektu jest zapewnienie niezależnej implementacji klienta
Google Drive. Do komunikacji z serwerami Google'a wykorzystuje API
Google Document List.

%package -n bgrive
Summary:	Qt frontend for Grive
Summary(pl.UTF-8):	Interfejs Qt do Grive
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description -n bgrive
GUI frontend for Grive.

%description -n bgrive -l pl.UTF-8
Graficzny interfejs użytkownika do Grive.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n bgrive
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bgrive
%changelog
* Tue Oct 24 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grive.git;a=log;h=master

* Tue Oct 24 2017 Jan Rękorajski <baggins@pld-linux.org> 34214fd
- rebuild with binutils 2.29
- release 20 (by relup.sh)

* Tue Jun 06 2017 Jakub Bogusz <qboosh@pld-linux.org> ff0fb5c
- rel 19 (rebuild with binutils 2.28)

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 55e47f1
- rebuild with boost 1.63.0
- release 18 (by relup.sh)

* Sat Dec 17 2016 Jan Rękorajski <baggins@pld-linux.org> af9ec90
- rebuild with binutils 2.27
- release 17 (by relup.sh)

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> a5a7ae3
- pl, rel 16

* Tue May 17 2016 Jan Rękorajski <baggins@pld-linux.org> e142cde
- release 15 (by relup.sh)

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> f98afbc
- release 14 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> fbfdf4d
- release 13 (by relup.sh)

* Tue Aug 04 2015 Jan Rękorajski <baggins@pld-linux.org> 97d4a9b
- release 12 (by relup.sh)

* Sun Jun 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 87b3d6f
- libbfd rebuild
- release 11 (by relup.sh)

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> da0bac4
- boost rebuild
- release 10 (by relup.sh)

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> a7534ea
- release 9 (by relup.sh)

* Wed Feb 18 2015 Jan Rękorajski <baggins@pld-linux.org> 54a0f00
- fix json-c include paths
- rebuild with boost 1.57.0
- rel 8

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 38cfa9b
- release 7 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 363ec12
- rel 6

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 01b7905
- rel 5
- rebuild with boost 1.55.0

* Tue Jan 28 2014 Jan Rękorajski <baggins@pld-linux.org> deab361
- rel 4

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> d7d65ec
- rel 3

* Tue Dec 31 2013 Łukasz Kieś <kiesiu@pld-linux.org> d1f17f7
- rebuild with ligcrypt 1.6.0; rel. 2

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> 057d544
- make c++ happy on 32-bit archs

